# TIFFWriteRawTile

## Synopsis

    #include <tiffio.h>

tmsize_t TIFFWriteRawTile(TIFF *tif, uint32_t tile, void *buf, tmsize_t size)

## Description

Append size bytes of raw data to the specified tile.

## Return values

-1 is returned if an error occurred. Otherwise, the value of size is returned.

## Diagnostics

All error messages are directed to the `TIFFErrorExtR()` routine.

`%s: File not open for writing`:

> The file was opened for reading, not writing.

`Can not write tiles to a stripped image`:

> The image is assumed to be organized in strips because neither of the `TileWidth` or `TileLength` tags have been set with `TIFFSetField()`.

`%s: Must set "ImageWidth" before writing data`:

> The image's width has not be set before the first write. See `TIFFSetField()` for information on how to do this.

`%s: Must set "PlanarConfiguration" before writing data`:

> The organization of data has not be defined before the first write. See `TIFFSetField()` for information on how to do this.

`%s: No space for tile arrays`:

> There was not enough space for the arrays that hold tile offsets and byte counts.

`%s: Specified tile %d out of range, max %d`:

> The specified tile is not valid according to the currently specified image dimensions.

## See also

TIFFOpen (3tiff), TIFFWriteEncodedTile (3tiff), TIFFWriteScanline (3tiff), libtiff (3tiff)